List Mutual-Aid Posts
curl --request GET \
--url https://api.thefaithapp.com/v1/mutual-aid-posts \
--header 'Authorization: Bearer <token>' \
--header 'X-API-Key: <api-key>'const options = {
method: 'GET',
headers: {'X-API-Key': '<api-key>', Authorization: 'Bearer <token>'}
};
fetch('https://api.thefaithapp.com/v1/mutual-aid-posts', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.thefaithapp.com/v1/mutual-aid-posts"
headers = {
"X-API-Key": "<api-key>",
"Authorization": "Bearer <token>"
}
response = requests.get(url, headers=headers)
print(response.text){
"status": "Success",
"data": {
"posts": [
{
"id": 731,
"uuid": "9d693cc6-a354-4f7f-b656-070b7ab48d2e",
"kind": "need",
"category": "one_time_transport",
"specialized_details": {},
"title": "Ride to Sunday service",
"details": "Looking for a ride from the northern side of town this Sunday morning.",
"visibility": "church",
"branch": null,
"community_group": null,
"outreach_campaign": null,
"approximate_location": "Northern Kampala",
"author": {
"id": 308,
"name": "Jordan A."
},
"is_owner": true,
"show_author_name": true,
"urgency": "normal",
"contact_preference": "in_app",
"status": "open",
"pause_reason": null,
"response_count": 1,
"published_at": "2026-07-18T09:30:00.000000Z",
"expires_at": "2026-07-21T09:30:00.000000Z",
"closed_at": null,
"review_note": null,
"created_at": "2026-07-18T09:30:00.000000Z",
"updated_at": "2026-07-18T09:30:00.000000Z"
}
],
"meta": {
"current_page": 1,
"per_page": 20,
"total": 1,
"last_page": 1
}
}
}Mutual Aid
List Mutual-Aid Posts
Lists mutual-aid needs and offers visible to the authenticated member, ordered by urgency and recency.
GET
/
v1
/
mutual-aid-posts
List Mutual-Aid Posts
curl --request GET \
--url https://api.thefaithapp.com/v1/mutual-aid-posts \
--header 'Authorization: Bearer <token>' \
--header 'X-API-Key: <api-key>'const options = {
method: 'GET',
headers: {'X-API-Key': '<api-key>', Authorization: 'Bearer <token>'}
};
fetch('https://api.thefaithapp.com/v1/mutual-aid-posts', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.thefaithapp.com/v1/mutual-aid-posts"
headers = {
"X-API-Key": "<api-key>",
"Authorization": "Bearer <token>"
}
response = requests.get(url, headers=headers)
print(response.text){
"status": "Success",
"data": {
"posts": [
{
"id": 731,
"uuid": "9d693cc6-a354-4f7f-b656-070b7ab48d2e",
"kind": "need",
"category": "one_time_transport",
"specialized_details": {},
"title": "Ride to Sunday service",
"details": "Looking for a ride from the northern side of town this Sunday morning.",
"visibility": "church",
"branch": null,
"community_group": null,
"outreach_campaign": null,
"approximate_location": "Northern Kampala",
"author": {
"id": 308,
"name": "Jordan A."
},
"is_owner": true,
"show_author_name": true,
"urgency": "normal",
"contact_preference": "in_app",
"status": "open",
"pause_reason": null,
"response_count": 1,
"published_at": "2026-07-18T09:30:00.000000Z",
"expires_at": "2026-07-21T09:30:00.000000Z",
"closed_at": null,
"review_note": null,
"created_at": "2026-07-18T09:30:00.000000Z",
"updated_at": "2026-07-18T09:30:00.000000Z"
}
],
"meta": {
"current_page": 1,
"per_page": 20,
"total": 1,
"last_page": 1
}
}
}Authorizations
Public client key copied from Developer Access. The member bearer token authenticates the request.
Member access token returned by POST /v1/auth/token.
Query Parameters
Available options:
need, offer Available options:
meals_groceries, one_time_transport, clothing_household, school_supplies, practical_help, employment_information, donation_drive, other, temporary_housing, emergency_financial_support, medical_equipment Available options:
church, campus, community_group, leaders Available options:
open, matched Required range:
x >= 1Required range:
x >= 1Required range:
x >= 1Required range:
1 <= x <= 50Was this page helpful?